#!/bin/bash

if [ -d /etc/webmin ]
then
    upgrade_webmin=1
    cp -f /etc/webmin/miniserv.users /root/tmp/webmin.miniserv.users.$$
    cp -f /etc/webmin/webmin.acl /root/tmp/webmin.webmin.acl.$$
    rm -rf /etc/webmin
fi

cd /usr/share/webmin
config_dir=/etc/webmin
var_dir=/var/run/webmin
log_dir=/var/log/webmin
perl=/usr/bin/perl
autoos=1
port=10000
login=root
crypt=x
host=`hostname`
ssl=1
atboot=0
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
export config_dir var_dir perl autoos port login crypt host ssl nochown autothird noperlpath nouninstall nostart allow
[ -z "$SECURE_LEVEL" ] && export SECURE_LEVEL=3
if [ ! -f /etc/issue ]; then
    if [ -f /etc/mandrake-release ]; then
	cp /etc/mandrake-release /etc/issue
    else
	echo "Mandriva Linux release 2007.1" > /etc/issue
    fi
fi
mkdir -p /var/log/webmin
./setup.sh > /var/log/webmin/webmin_install.log 2> /var/log/webmin/webmin_install.log.err < /dev/null

if [ "$upgrade_webmin" = "1" ]; then
    cp -f /root/tmp/webmin.miniserv.users.$$ /etc/webmin/miniserv.users
    cp -f /root/tmp/webmin.webmin.acl.$$ /etc/webmin/webmin.acl
    rm -f /root/tmp/webmin.*
    ./setup.sh > /var/log/webmin/webmin_upgrade.log 2> /var/log/webmin/webmin_upgrade.log.err < /dev/null
fi
